<script setup lang="ts">
import { ref } from "vue";
import { useStockStore } from "@/stores/stock";
import { useStockMeatStore } from "@/stores/stockMeat";
import {
  mdiPencil,
  mdiDelete,
  mdiPlusCircleOutline,
  mdiMagnify,
} from "@mdi/js";
import type Stock from "@/types/Stock";
const stockStore = useStockStore();
const stockMeatStore = useStockMeatStore();
const tab = ref("");

const deleteStock = (index: number): void => {
  stockStore.delConfirm(index);
};

const deleteStockMeat = (index: number): void => {
  stockMeatStore.delConfirm(index);
};

const addNewStock = () => {
  stockStore.dialog = true;
};

const addNewStockMeat = () => {
  stockMeatStore.dialog = true;
};

const editStock = (stock: Stock) => {
  stockStore.editStock(stock);
};

const editStockMeat = (stock: Stock) => {
  stockMeatStore.editStockMeat(stock);
};
</script>

<template>
  <v-container>
    <v-row>
      <v-col></v-col>
    </v-row>
    <v-row>
      <v-col cols="12">
        <v-card>
          <v-tabs v-model="tab" bg-color="#DED4F7">
            <v-tab value="ผัก">ผัก</v-tab>
            <v-tab value="เนื้อสด">เนื้อสด</v-tab>
            <v-tab value="เครื่องปรุง">เครื่องปรุง</v-tab>
            <v-tab value="เครื่องดื่ม">เครื่องดื่ม</v-tab>
          </v-tabs>

          <v-card-text>
            <v-window v-model="tab">
              <v-window-item value="ผัก">
                <v-row>
                  <v-col>
                    <v-text-field
                      label="Search"
                      placeholder="stock"
                      variant="underlined"
                    ></v-text-field>
                  </v-col>
                  <v-col>
                    <v-btn
                      style="float: left"
                      color="black"
                      variant="outlined"
                      :prepend-icon="mdiMagnify"
                      >Search</v-btn
                    >

                    <v-btn
                      style="margin-left: 11em"
                      color="blue-darken-1"
                      :prepend-icon="mdiPlusCircleOutline"
                      @click="addNewStock"
                      >Add</v-btn
                    >
                  </v-col>
                </v-row>

                <v-table>
                  <thead>
                    <tr>
                      <th>ID</th>
                      <th>Name</th>
                      <th>Minimum</th>
                      <th>remainder</th>
                      <th>Unit</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr v-for="item of stockStore.stocks" :key="item.id">
                      <td>{{ item.id }}</td>
                      <td>{{ item.name }}</td>
                      <td>{{ item.minimum }}</td>
                      <td>{{ item.remain }}</td>
                      <td>{{ item.unit }}</td>
                      <td>
                        <v-btn
                          :icon="mdiPencil"
                          color="secondary"
                          class="ma-1"
                          @click="stockStore.editStock(item)"
                        ></v-btn
                        ><v-btn
                          :icon="mdiDelete"
                          color="error"
                          class="ma-1"
                          @click="stockStore.deleteStock(item.id!)"
                        ></v-btn>
                      </td>
                    </tr>
                    <!-- <tr>
                <td>2</td>
                <td>แครอท</td>
                <td>2</td>
                <td>5</td>
                <td>กิโลกรัม</td>
              </tr> -->
                  </tbody>
                </v-table>
              </v-window-item>

              <v-window-item value="เนื้อสด">
                <v-row>
                  <v-col>
                    <v-text-field
                      label="Search"
                      placeholder="stock"
                      variant="underlined"
                    ></v-text-field>
                  </v-col>
                  <v-col>
                    <v-btn
                      style="float: left"
                      color="black"
                      variant="outlined"
                      :prepend-icon="mdiMagnify"
                      >Search</v-btn
                    >

                    <v-btn
                      style="margin-left: 11em"
                      color="blue-darken-1"
                      :prepend-icon="mdiPlusCircleOutline"
                      @click="addNewStockMeat"
                      >Add</v-btn
                    >
                  </v-col>
                </v-row>

                <v-table>
                  <thead>
                    <tr>
                      <th>ID</th>
                      <th>Name</th>
                      <th>Minimum</th>
                      <th>remainder</th>
                      <th>Unit</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr
                      v-for="itemMeat of stockMeatStore.stockMeats"
                      :key="itemMeat.id"
                    >
                      <td>{{ itemMeat.id }}</td>
                      <td>{{ itemMeat.name }}</td>
                      <td>{{ itemMeat.minimum }}</td>
                      <td>{{ itemMeat.remain }}</td>
                      <td>{{ itemMeat.unit }}</td>
                      <td>
                        <v-btn
                          :icon="mdiPencil"
                          color="secondary"
                          class="ma-1"
                          @click="editStockMeat(itemMeat)"
                        ></v-btn
                        ><v-btn
                          :icon="mdiDelete"
                          color="error"
                          class="ma-1"
                          @click="deleteStockMeat(itemMeat.id!)"
                        ></v-btn>
                      </td>
                    </tr>
                    <!-- <tr>
                <td>2</td>
                <td>แครอท</td>
                <td>2</td>
                <td>5</td>
                <td>กิโลกรัม</td>
              </tr> -->
                  </tbody>
                </v-table>
              </v-window-item>

              <v-window-item value="เครื่องปรุง">
                <v-row>
                  <v-col>
                    <v-text-field
                      label="Search"
                      placeholder="stock"
                      variant="underlined"
                    ></v-text-field>
                  </v-col>
                  <v-col>
                    <v-btn
                      style="float: left"
                      color="black"
                      variant="outlined"
                      :prepend-icon="mdiMagnify"
                      >Search</v-btn
                    >

                    <v-btn
                      style="margin-left: 11em"
                      color="blue-darken-1"
                      :prepend-icon="mdiPlusCircleOutline"
                      >Add</v-btn
                    >
                  </v-col>
                </v-row>

                <v-table>
                  <thead>
                    <tr>
                      <th>ID</th>
                      <th>Name</th>
                      <th>Minimum</th>
                      <th>remainder</th>
                      <th>Unit</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr>
                      <td>1</td>
                      <td>น้ำมันหอย</td>
                      <td>2</td>
                      <td>2</td>
                      <td>แกลลอน</td>
                      <td>
                        <v-btn
                          :icon="mdiPencil"
                          color="secondary"
                          class="ma-1"
                        ></v-btn
                        ><v-btn
                          :icon="mdiDelete"
                          color="error"
                          class="ma-1"
                        ></v-btn>
                      </td>
                    </tr>
                  </tbody> </v-table
              ></v-window-item>

              <v-window-item value="เครื่องดื่ม">
                <v-row>
                  <v-col>
                    <v-text-field
                      label="Search"
                      placeholder="stock"
                      variant="underlined"
                    ></v-text-field>
                  </v-col>
                  <v-col>
                    <v-btn
                      style="float: left"
                      color="black"
                      variant="outlined"
                      :prepend-icon="mdiMagnify"
                      >Search</v-btn
                    >

                    <v-btn
                      style="margin-left: 11em"
                      color="blue-darken-1"
                      :prepend-icon="mdiPlusCircleOutline"
                      >Add</v-btn
                    >
                  </v-col>
                </v-row>

                <v-table>
                  <thead>
                    <tr>
                      <th>ID</th>
                      <th>Name</th>
                      <th>Minimum</th>
                      <th>remainder</th>
                      <th>Unit</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr>
                      <td>1</td>
                      <td>น้ำดื่ม</td>
                      <td>3</td>
                      <td>4</td>
                      <td>แพ็ก</td>
                      <td>
                        <v-btn
                          :icon="mdiPencil"
                          color="secondary"
                          class="ma-1"
                        ></v-btn
                        ><v-btn
                          :icon="mdiDelete"
                          color="error"
                          class="ma-1"
                        ></v-btn>
                      </td>
                    </tr>
                  </tbody> </v-table
              ></v-window-item>
            </v-window>
          </v-card-text>
        </v-card>
      </v-col>
    </v-row>
  </v-container>
</template>

<style scoped></style>
